Skip to content

List Portal People

GET
/v1/portal/people
curl --request GET \
--url 'https://example.com/v1/portal/people?query=&limit=20&tenant_id='
query
Query
string
""
limit
Limit
integer
default: 20 >= 1 <= 50
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
PortalPersonDirectoryListOut
object
query
Query
string
""
items
Items
Array<object>
PortalPersonDirectoryItemOut
object
subject_key
Subject Key
string
""
display_name
Display Name
string
""
email
Email
string
""
employee_job
Employee Job
string
""
Example
{
"query": "",
"items": [
{
"subject_key": "",
"display_name": "",
"email": "",
"employee_job": ""
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}